Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.addressing.util
Class DefaultReplyTo

    java.lang.Object
      org.jboss.soa.esb.addressing.util.DefaultReplyTo

    public class DefaultReplyTo

extends java.lang.Object

Provide some helper routines for common requirements.

Constructor Summary
`DefaultReplyTo()`

Method Summary
`static EPR` | `getReplyTo(EPR toEpr)` Obtain a default replyToEPR (based on the toEpr) to which we can reply to.
`static boolean` | `initialiseReply(Message message, Call callDetails)` Initialise the message as a reply to the specified call details.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultReplyTo

    public DefaultReplyTo()

Method Detail

### getReplyTo

    public static EPR getReplyTo(EPR toEpr)
                          throws CourierException,
                                 MalformedEPRException

  Obtain a default replyToEPR (based on the toEpr) to which we can reply to.

  Parameters:
    `toEpr` - - the toEPR which will be used a basis to generate the replyToEPR.
  Returns:
    EPR - the EPR to which the pickup will be delivered.
  Throws:
    `URISyntaxException,` - CourierException
    `CourierException`
    `MalformedEPRException`

### initialiseReply

    public static boolean initialiseReply(Message message,
                                          Call callDetails)

  Initialise the message as a reply to the specified call details.

  Parameters:
    `message` - The reply message.
    `callDetails` - The call details used to generate the reply.
  Returns:
    true if the message was initialised, false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD